<?php defined('SYSPATH') or die('No direct script access.');

/** Получение списка групп, курсов, предметов, и т.д. */
class Controller_Handler_AuthTokens extends Controller_Handler
{
    public function before() {
        parent::before();
        
        $this->user->checkAccess(User::RIGHTS_ADMIN);
    }

    public function action_create() {
        $token = Model_Account::createAuthToken($this->user->ID);
        if (is_null($token)) {
            HTTP_API_Exception::factory(500, 'Ошибка приложения');
        }

        $this->response->body(json_encode([
            success => true,
            token   => $token,
        ]));
    }

    public function action_delete() {
        $token = $this->request->param('id');
        $errorCode = Model_Account::deleteAuthToken($token);
        if ($errorCode != 0) {
            HTTP_API_Exception::factory(500, 'Ошибка приложения');
        }

        $this->response->body(json_encode([ success => true ]));
    }
}